<template>
	<div class="wlh">
		<header class="wlh__header">
			<h1 class="wlh__header__title">
				<router-link to="/">
					What Links Here (Sorted)
				</router-link>
			</h1>
			<nav class="wlh__header__nav">
				<a href="https://phabricator.wikimedia.org/tag/tool-wlh/">Feedback</a>
				<a href="https://gitlab.wikimedia.org/repos/abstract-wiki/wlh">Code</a>
				<a href="https://gitlab.wikimedia.org/repos/abstract-wiki/wlh-api">API Code</a>
			</nav>
		</header>
		<main class="wlh__content">
			<router-view />
		</main>
	</div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent( {
	name: 'App'
} );
</script>

<style lang="less">
@import (reference) '@wikimedia/codex-design-tokens/theme-wikimedia-ui.less';

.wlh {
	padding: @size-100;
	a, a:visited {
		color: @color-base;
		&:hover {
			text-decoration: none;
			border-bottom: 1px solid @color-subtle;
		}
	}
	&__header {
		display: flex;
		align-items: baseline;
		justify-content: space-between;
		&__nav {
			display: flex;
			a {
				margin-left: 1em;
			}	
		}
	}
}
</style>
